      program iscbul

c list ISC bulletin fixed format files

      character*40 file_name, infile, exfile, root

      common joblog

      include 'basics.inc'

      include 'hold.inc'

c      character*6 chival

      integer*2 lenrot

      maxrec = 680   ! Sept 2003 - changed from 682

      nover = 100
      base = secnds(0.)
      nout = 6
      nin = 8
      ntemp = 9
      joblog = 10
      mout = nout
      call setup (root, lenrot, exfile)
      if (mout .ne. nout) then
        open (unit=mout, file=exfile, status='new', iostat=ios)
        if (ios .ne. 0) call abort ('Unable to open output file')
        inquire (unit=mout, name=file_name)
        print *, 'Output to '//file_name
      end if
      call setfis
      iymob = itchk(timlim(1)(1:6))
      iymox = itchk(timlim(2)(1:6))
      
      do while (iymob .le. iymox)
      
        call monfil (iymob, root(:lenrot), infile, lenin)
        
c July 16th 2003 - Peter - addition to bypass non-existent files
        
        if ( lenin .eq. 0 ) then
            print '(2x,a,i6)', 'No file exists for - ',iymob
        else        
            call dofile (infile(:lenin))
        end if
        
        iymob = nextmo (iymob, 1)
        
      end do
      call linbrk (mout)
      print '(1x,a,f6.2,a)', 'Elapsed time',secnds(base)/60., ' minutes'
      stop
      end

